Posted on

What iOS version do I need for the app?

The Unleashed app runs on iPhones with iOS 10.0 and upwards – iPhone 5 or newer.
Was this post helpful?
Yes
No